KDE 4.5 PyKDE API Reference

- KDE's Python API

# GeoDataPolygon Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataOuterBoundary, Marble.GeoDataInnerBoundary
Namespace: Marble.GeoDataPolygon

## Detailed Description

## Methods

| __init__ (self, Marble.TessellationFlags f=Marble.NoTessellation)
| __init__ (self, Marble.GeoDataGeometry other)
| appendInnerBoundary (self, Marble.GeoDataLinearRing boundary)
QVector<Marble::GeoDataLinearRing> | innerBoundaries (self)
bool | isClosed (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
QString | nodeType (self)
Marble.GeoDataLinearRing | outerBoundary (self)
| pack (self, QDataStream stream)
| setOuterBoundary (self, Marble.GeoDataLinearRing boundary)
| setTessellate (self, bool tessellate)
| setTessellationFlags (self, Marble.TessellationFlags f)
bool | tessellate (self)
Marble.TessellationFlags | tessellationFlags (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f=Marble.NoTessellation
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

appendInnerBoundary | ( | self, |
|  | Marble.GeoDataLinearRing | boundary
| ) |  |  |

QVector<Marble::GeoDataLinearRing> innerBoundaries | ( |  | self ) |

bool isClosed | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

QString nodeType | ( |  | self ) |

Marble.GeoDataLinearRing outerBoundary | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setOuterBoundary | ( | self, |
|  | Marble.GeoDataLinearRing | boundary
| ) |  |  |

setTessellate | ( | self, |
|  | bool | tessellate
| ) |  |  |

setTessellationFlags | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

bool tessellate | ( |  | self ) |

Marble.TessellationFlags tessellationFlags | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |